Skip to main content
Get entity counts
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/reports/counts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/reports/counts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_name}.{region}.techwolf.ai/reports/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "report_name": "counts",
  "report_data": {
    "counts": {
      "employees": 1000,
      "vacancies": 1000,
      "courses": 1000
    }
  },
  "last_update": "2020-09-01T11:45:49Z"
}
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
]
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
"max connections reached: <limit>"
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

OK

The total number of entities for each type.

report_name
string
Example:

"counts"

report_data
object

Dictionary with the total number of entities for each type.

last_update
string<date-time>
Example:

"2020-09-01T11:45:49Z"